Name:           chkconfig
Version:        1.10
Release:        8
Summary:        chkconfig updates and queries runlevel information for system services
License:        GPLv2
URL:            https://github.com/fedora-sysv/chkconfig
Source0:        https://github.com/fedora-sysv/chkconfig/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch6000:      bugfix-alternatives-prettier-list-output.patch
Patch6001:      bugfix-leveldb-don-t-crash-on-long-names.patch
Patch6002:      man-alternatives-list-does-not-accept-name.patch
Patch6003:      paths-to-targets-and-facilities-normalized-bug-14853.patch
Patch6004:      added-check-if-correct-symlink-exists.patch
Patch6005:      Remove-mistakenly-added-text.patch

BuildRequires:  gcc newt-devel gettext popt-devel libselinux-devel
Conflicts:      initscripts <= 5.30-1
Provides:       ntsysv = %{version}-%{release}
Obsoletes:      ntsysv < %{version}-%{release}

%description
chkconfig provides a simple command-line tool for maintaining
the /etc/rc[0-6].d directory hierarchy by relieving system
administrators of the task of directly manipulating the numerous
symbolic links in those directories.

%package_help

%prep
%autosetup -p1

%build
%make_build RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%check
make check

%install
%make_install MANDIR=%{_mandir} SBINDIR=%{_sbindir}

mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
for i in {0..6};do
  mkdir -p %{buildroot}%{_sysconfdir}/rc.d/rc${i}.d
done
ln -s rc.d/init.d %{buildroot}%{_sysconfdir}/init.d
for i in {0..6};do
  ln -s rc.d/rc${i}.d %{buildroot}%{_sysconfdir}/rc${i}.d
done
mkdir -p %{buildroot}%{_sysconfdir}/chkconfig.d

%files
%dir %{_sysconfdir}/alternatives
%dir /var/lib/alternatives
%{_sysconfdir}/{init.d,rc.d,rc[0-6].d}
%{_sysconfdir}/rc.d/{inid.d,rc[0-6].d}
%{_sysconfdir}/chkconfig.d
%{_sbindir}/{*alternatives,ntsysv}
/sbin/chkconfig
%{_prefix}/lib/systemd/systemd-sysv-install
%license COPYING
%{_datadir}/locale/*/LC_MESSAGES/chkconfig.mo

%files help
%{_mandir}/man8/*

%changelog
* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.10-8
- Add obsoletes of ntsysv

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.10-7
- Package Init
